##!/bin/sh

set -eu
# setup env
while getopts "s:t:" opt; do
  case $opt in
    s)
      project_path=$OPTARG
      ;;
    t)
      temp_path=$OPTARG
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
  esac
done

token_path=${temp_path}/firebase_token.json
android_root_path=${project_path}/example/android

cd $android_root_path

# gradlew_path=${project_path}/example/android/gradlew

echo -n "$FIREBASE_TOKEN" | base64 --decode --output $token_path

chmod u+x gradlew

sh gradlew appDistributionUploadReleaseIfNeeded -PFIREBASE_CREDENTIAL_FILE_PATH=${token_path}
