##!/bin/sh

set -eux
# setup env
while getopts "p:t:" opt; do
  case $opt in
    p)
      pp_data=$OPTARG
      ;;
    t)
      temp_path=$OPTARG
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
  esac
done

echo "--------------------------------------------------------------------------------"
echo "Start to import mobileprofile"
echo "--------------------------------------------------------------------------------"

PP_PATH=$temp_path/build_pp.mobileprovision

echo -n "$pp_data" | base64 --decode --output $PP_PATH

# apply provisioning profile
mkdir -p ~/Library/MobileDevice/Provisioning\ Profiles
cp $PP_PATH ~/Library/MobileDevice/Provisioning\ Profiles