#!/usr/bin/env bash

while getopts "c:" opt; do
  case $opt in
    c)
      credential=$OPTARG
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
  esac
done

if [ -z "${credential}" ]; then
  echo "Missing pub credential"
  exit 1
fi

credential_dir=~/Library/Application\ Support/dart

echo "$credential_dir"
mkdir -p "$credential_dir"
ls -l "$credential_dir"

credential_file_path="$credential_dir/pub-credentials.json"
echo $credential_file_path

echo -n "$credential" | base64 -d -o "$credential_file_path"
