#!/bin/bash
set -eu
# setup androidProjPath
while getopts "o:" opt; do
  case $opt in
    o)
      destinationProjPath=$OPTARG
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
  esac
done

echo "==========begin make Android proj=========="

androidProjPath=${destinationProjPath}

echo "Android proj path is ${androidProjPath}"


# Part 1: remove sensitive infomation for Android

envProductionSearchKey="\s*def\s*fw_appid_production"
envStagingSearchKey="\s*def\s*fw_appid_staging"
envProductionPlacehold='def fw_appid_production = ""'
envStagingPlacehold='def fw_appid_staging = ""'
buildGradlePath="${androidProjPath}/app/build.gradle"

lineIndexOfProductionSearchKey=$(cat "${buildGradlePath}" | grep -n "${envProductionSearchKey}" | awk -F ":" '{print $1}')
lineIndexOfStagingSearchKey=$(cat "${buildGradlePath}" | grep -n "${envStagingSearchKey}" | awk -F ":" '{print $1}')

# # fwVideoAppId would be at next row of fwVideoAppIdKey
# lineIndexOfFwVideoAppIdKey=`expr $lineIndexOfFwVideoAppIdKey + 1`

# replace fwVideoAppIdKey value with placehold
if [[ $lineIndexOfProductionSearchKey = "" || $lineIndexOfStagingSearchKey = "" ]]
then
	echo "error:not found envProductionSearchKey/envStagingSearchKey!"
	exit 1
else
	#
	sed -i "" "${lineIndexOfProductionSearchKey},${lineIndexOfProductionSearchKey}s/.*/${envProductionPlacehold}/" $buildGradlePath

	sed -i "" "${lineIndexOfStagingSearchKey},${lineIndexOfStagingSearchKey}s/.*/${envStagingPlacehold}/" $buildGradlePath
fi

echo "remove sensitive infomation for Android finish!"

# # Part 2: remove Source code dependency firework-react-native-sdk in the gradle

# settingGradlePath="${androidProjPath}/settings.gradle"
# buildGradlePath="${androidProjPath}/app/build.gradle"
# rnSDKName="firework-react-native-sdk"

# lineIndexs=($(cat "${settingGradlePath}" | grep -n "${rnSDKName}" | awk -F ":" '{print $1}'))

# length=${#lineIndexs[@]}
# for(( i=length-1; i>=0; i-- ))
# do
#     sed -i "" "${lineIndexs[i]}d" $settingGradlePath
# done;


# lineIndex=$(cat "${buildGradlePath}" | grep -n "${rnSDKName}" | awk -F ":" '{print $1}')

# if [[ $lineIndex != "" ]]
# then
#   sed -i "" "${lineIndex}d" $buildGradlePath 
# fi



# # Part 3: remove dependency FireworkSDKPackage in the MainApplication.java
# mainApplicationPath="${androidProjPath}/app/src/main/java/com/loopnow/bogano/MainApplication.java"
# packageName="FireworkSDKPackage"

# lineIndexsOfPackageName=($(cat "${mainApplicationPath}" | grep -n "${packageName}" | awk -F ":" '{print $1}'))

# length=${#lineIndexsOfPackageName[@]}

# for(( i=length-1; i>=0; i-- ))
# do
#     sed -i "" "${lineIndexsOfPackageName[i]}d" $mainApplicationPath
# done;

# echo "fix the way of dependency finish!"
