#!/bin/bash

set -eu
# setup jsProjPath
while getopts "s:d:" opt; do
  case $opt in
    s)
      sourceProjPath=$OPTARG
      ;;
    d)
	    destinationProjPath=$OPTARG
	    ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
  esac
done

echo "==========begin make Dart proj=========="
echo "source proj path is ${sourceProjPath}, destination proj path is ${destinationProjPath}"

# echo "begin write Template file to example"

#remove sensitive infomation
cat ${sourceProjPath}/scripts/Shopify.json.Template > ./FireworkFlutterSDKSample/lib/assets/Shopify.json
cat ${sourceProjPath}/scripts/Feed.json.Template > ./FireworkFlutterSDKSample/lib/assets/Feed.json



#find current version of FlutterSDK
sdk_package_path=${sourceProjPath}/pubspec.yaml
flutterSdkVersion=$(cat "${sdk_package_path}" | grep -n 'version:' | awk -F ":" '{print $3}') | sed 's/ //g'

#fix pubspec.yaml
packagePath="FireworkFlutterSDKSample/pubspec.yaml"
findKey="fw_flutter_sdk:"

newDependency="fw_flutter_sdk: ${flutterSdkVersion}"

lineIndexOfFindKey=$(cat "${packagePath}" | grep -n "${findKey}" | awk -F ":" '{print $1}')

if [[ $lineIndexOfFindKey != "" ]]
then

  nextLine=$(expr $lineIndexOfFindKey + 1)

  sed -i "" "${lineIndexOfFindKey},${nextLine}d" $packagePath 

  sed -i "" "$lineIndexOfFindKey a\\
  $newDependency
  " $packagePath 

fi

workspaceDir=$(pwd)
cd ./FireworkFlutterSDKSample
flutter pub get
cd $workspaceDir

echo "synthesis Dart finish!"