#!/usr/bin/env bash

# setup env
while getopts "s:d:" opt; do
  case $opt in
    s)
      sourceProjPath=$OPTARG
      ;;
    d)
      destinationProjPath=$OPTARG
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
  esac
done

cd ${destinationProjPath}
#copy docs
if [ -d ${sourceProjPath}/doc ]
then
  if [ -d docs/v2 ]
  then
    rm -r docs/v2
  fi
  mkdir -p docs/v2
  cp -r ${sourceProjPath}/doc/. docs/v2
fi

if [ -f ${sourceProjPath}/CHANGELOG.md ]
then
  cp ${sourceProjPath}/CHANGELOG.md CHANGELOG-V2.md
fi
